Bug 1285341 - After a certain amount of time the EventCatcher worker (thread) is stopped and deleted
After a certain amount of time the EventCatcher worker (thread) is stopped an...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.5.0
Unspecified Unspecified
urgent Severity urgent
: GA
: 5.5.0
Assigned To: Federico Simoncelli
Dafna Ron
: Reopened
: 1286618 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 07:27 EST by Daniel Korn
Modified: 2017-05-15 05:31 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.5.0.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:50:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Korn 2015-11-25 07:27:52 EST
Description of problem:
After a certain amount of time the EventCatcher thread is being stopped and deleted.
from evm.log it is clear that the Event Monitor is gone and it attempts to restart every second ("Event Monitor Thread gone. Restarting...").

Version-Release number of selected component (if applicable):
cfme-5.5.0

How reproducible:
100%

Steps to Reproduce:
1. add a Openshift provider and refresh it
2. wait for the EventCatcher worker to start running and verify that it's status is started ($ bundle exec rake evm:status) and that it starts to collect events.
3. wait several hours (at least for me) and check that the worker is dead (easily detected in the evm.log and doesn't appear in the workers table ($ bundle exec rake evm:status)

Actual results:
events collection is stopped

Expected results:
events should be collected at all time and worker status should be started

Additional info:
Comment 1 Federico Simoncelli 2015-11-27 09:42:44 EST
Proposed fix:

https://github.com/ManageIQ/manageiq/pull/5626
Comment 2 Federico Simoncelli 2015-11-30 06:02:04 EST
*** Bug 1286618 has been marked as a duplicate of this bug. ***
Comment 3 Joe Vlcek 2015-11-30 10:33:18 EST

*** This bug has been marked as a duplicate of bug 1281746 ***
Comment 4 Federico Simoncelli 2015-11-30 10:39:18 EST
This is not a duplicate of #1281746 it happens on 5.5.0.11 as well.
Comment 6 Dafna Ron 2015-12-03 11:15:37 EST
verified on cfme-5.5.0.13-1.el7cf.x86_64
Comment 8 errata-xmlrpc 2015-12-08 08:50:05 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.